Name:           openeuclide
Version:        0.5
Release:        %mkrel 12
Summary:        A geometry software that is intended for educational or modeling purposes

Group:          Sciences/Mathematics
License:        GPLv2+
URL:            http://coulon.publi.free.fr/openeuclide/index.php
Source0:        https://downloads.sourceforge.net/project/%{name}/%{name}/%{name}-%{version}/%{name}-%{version}.tgz
#https://sourceforge.net/p/openeuclide/bugs/2
Source1:        %{name}.desktop
# https://sourceforge.net/p/openeuclide/bugs/7
Source2:        russian.multilanguage

#The upstream sources results in FTBFS.
#Patch to add necessary header files to the source to make it build.
#https://sourceforge.net/p/openeuclide/bugs/4
Patch0:         %{name}-%{version}-fdr-fix-FTBFS.patch
#https://sourceforge.net/p/openeuclide/bugs/5
Patch1:         %{name}-%{version}-fdr-fix-Werror-format-security.patch
# https://sourceforge.net/p/openeuclide/bugs/7
Patch2:         %{name}-%{version}-mga-add-russian.patch

BuildRequires:  gtk2-devel

%description
OpenEuclide is a 2D geometry software: figures are
defined dynamically by describing formal geometrical constraints.
This project is a basic tool for educational or modeling purpose.

%prep
%setup -q -n %{name}
cp -f %{SOURCE1} ./
cp -f %{SOURCE2} ./
%patch0
%patch1
%patch2 -p1
find . -name "CVS"  -exec rm -rf {} +;

%build
# fix build on aarch64
autoreconf -vfi

%configure
%make_build

%install
%make_install

%files
%doc README NEWS AUTHORS doc/
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%dir %{_datadir}/%{name}/
%{_datadir}/%{name}/*
%{_datadir}/pixmaps/%{name}.png


%changelog
* Sat Mar 26 2022 umeabot <umeabot> 0.5-12.mga9
+ Revision: 1828218
- Mageia 9 Mass Rebuild

* Fri Feb 14 2020 umeabot <umeabot> 0.5-11.mga8
+ Revision: 1515719
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sun Sep 23 2018 umeabot <umeabot> 0.5-10.mga7
+ Revision: 1300012
- Mageia 7 Mass Rebuild

* Mon Jun 11 2018 wally <wally> 0.5-9.mga7
+ Revision: 1236341
- fix build on aarch64
+ kekepower <kekepower>
- Use new make macros

* Fri Feb 12 2016 umeabot <umeabot> 0.5-8.mga6
+ Revision: 956544
- Mageia 6 Mass Rebuild

* Wed Jul 15 2015 alexl <alexl> 0.5-7.mga6
+ Revision: 854285
- add Russian translation

* Wed Jan 07 2015 alexl <alexl> 0.5-6.mga5
+ Revision: 809093
- updated desktop file

* Wed Oct 15 2014 umeabot <umeabot> 0.5-5.mga5
+ Revision: 742085
- Second Mageia 5 Mass Rebuild

* Thu Oct 02 2014 alexl <alexl> 0.5-4.mga5
+ Revision: 736238
- deleted double Werror_cflags (there is fix-Werror-format-security.patch instead)
- deleted double DESTDIR for macros makeinstall_std

* Tue Sep 16 2014 umeabot <umeabot> 0.5-3.mga5
+ Revision: 683208
- Mageia 5 Mass Rebuild

* Wed Aug 13 2014 alexl <alexl> 0.5-2.mga5
+ Revision: 662382
- deleted TryExec from desktop file, added GenericName in desktop file
- added fix-Werror-format-security.patch

* Thu Apr 10 2014 alexl <alexl> 0.5-1.mga5
+ Revision: 613283
- imported package openeuclide

